# class Psych::Nodes::Sequence

This class represents a YAML sequence.

A `YAML` sequence is basically a list, and looks like this:

    %YAML 1.1
    ---
    - I am
    - a Sequence

A `YAML` sequence may have an anchor like this:

    %YAML 1.1
    ---
    &A [
      "This sequence",
      "has an anchor"
    ]

A `YAML` sequence may also have a tag like this:

    %YAML 1.1
    ---
    !!seq [
      "This sequence",
      "has a tag"
    ]

This class represents a sequence in a `YAML` document. A `Psych::Nodes::Sequence` node may have 0 or more children. Valid children for this node are:

- `Psych::Nodes::Sequence`

- `Psych::Nodes::Mapping`

- `Psych::Nodes::Scalar`

- `Psych::Nodes::Alias`

### Constants

ANY

  Any Styles, emitter chooses

BLOCK

  Block style sequence

FLOW

  Flow style sequence

### Attributes

anchor [RW]

The anchor for this sequence (if any)

implicit [RW]

Is this sequence started implicitly?

style [RW]

The sequence style used

tag [RW]

The tag name for this sequence (if any)

### Public Class Methods

new (anchor = nil, tag = nil, implicit = true, style = BLOCK)
Source

    # File ext/psych/lib/psych/nodes/sequence.rb, line 73
    def initialize anchor = nil, tag = nil, implicit = true, style = BLOCK
      super()
      @anchor   = anchor
      @tag      = tag
      @implicit = implicit
      @style    = style
    end

Create a new object representing a `YAML` sequence.

`anchor` is the anchor associated with the sequence or nil. `tag` is the tag associated with the sequence or nil. `implicit` a boolean indicating whether or not the sequence was implicitly started. `style` is an integer indicating the list style.

See `Psych::Handler#start_sequence`

Calls superclass method `Psych::Nodes::Node::new`

### Public Instance Methods

sequence? ()
Source

    # File ext/psych/lib/psych/nodes/sequence.rb, line 81
    def sequence?; true; end